# List webhook subscriptions

`GET https://app.whatsetter.com/api/v1/webhooks`

Requires scope `webhooks:manage`. The signing secret is never returned (only its prefix).

## Example request

```bash
curl --request GET \
  --url 'https://app.whatsetter.com/api/v1/webhooks' \
  --header 'Authorization: Bearer ws_live_…'
```

## Responses

### 200: The workspace's subscriptions

```json
{
  "data": [
    {
      "id": "",
      "url": "",
      "events": [
        ""
      ],
      "active": false,
      "description": "",
      "secret_prefix": "",
      "last_delivery_at": "",
      "last_delivery_status": "",
      "created_at": ""
    }
  ]
}
```

### 401: Missing, unknown or revoked API key

```json
{
  "error": {
    "code": "",
    "message": ""
  }
}
```


Source: https://docs.whatsetter.com/api-reference/operations/listwebhooks/
